Bug 243265 - Impossible VNC network installation without local console access or kickstart configuration
Impossible VNC network installation without local console access or kickstart...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 06:42 EDT by Kaloyan Tenchov
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-16 16:50:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Local console #3 debug log screenshots for Telnet and VNC network installations (17.24 KB, image/png)
2007-06-08 06:42 EDT, Kaloyan Tenchov
no flags Details

  None (edit)
Description Kaloyan Tenchov 2007-06-08 06:42:07 EDT
Description of problem:
There is no way to pass network configuration to Anaconda through the kernel 
command line when doing VNC network installation (kickstart is not used).

The perfectly valid FC6 kernel command line:

"vnc method=nfs:xxx:/home/src/F7 noipv6 ip=10.0.0.2 netmask=255.255.255.252 
gateway=10.0.0.1 dns=10.0.0.1 lang=en_US keymap=us loglevel=debug"

does not start Anaconda VNC network installation in F7. The Anaconda loader 
stops in the "Manual TCP/IP Configuration" dialog where the IP address field is 
blank and has to be filled in on a local console.

The similar command line:

"text telnet method=nfs:xxx:/home/src/F7 noipv6 ip=10.0.0.2 
netmask=255.255.255.252 gateway=10.0.0.1 dns=10.0.0.1 lang=en_US keymap=us 
loglevel=debug"

works without problems and a Telnet network installation (without using 
kickstart) starts ok.

Version-Release number of selected component (if applicable):
11.2.0.66

How reproducible:
Always

Steps to Reproduce:
1. Start VNC network installation with a command line like the one above
2. The Anaconda loader stops for manual TCP/IP configuration before starting a 
VNC server although all necessary network settings are passed through the 
kernel command line.

Actual results:
After manual network configuration on the local console the VNC server is 
started and the installation procedes ok.

Expected results:
Start VNC server for graphical network installation without manual 
configuration on the local console or kickstart configuration file.

Additional info:
Both VNC and Telnet network installations work in FC6 with similar kernel 
command lines. VNC network installations are a convenient way for installing 
for example Xen guests,
Comment 1 Kaloyan Tenchov 2007-06-08 06:42:07 EDT
Created attachment 156564 [details]
Local console #3 debug log screenshots for Telnet and VNC network installations
Comment 2 David Cantrell 2007-08-16 16:50:59 EDT
This is related to bug #250895 and has been fixed in the Fedora development
tree.  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.